# Gimp.Selection.float

    function float(image: Gimp.Image, drawables: Array(Gimp.Drawable), offx: Number(gint), offy: Number(gint)): Gimp.Layer {
        // Gjs wrapper for gimp_selection_float()
    }

Float the selection from the specified drawable with initial offsets as specified.

This procedure determines the region of the specified drawable that lies beneath the current selection. The region is then cut from the drawable and the resulting data is made into a new layer which is instantiated as a floating selection. The offsets allow initial positioning of the new floating selection.

image

  ignored

drawables

  The drawables from which to float selection.

offx

  x offset for translation.

offy

  y offset for translation.

Returns

  The floated layer.